Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class SocketFactoryFactory

    java.lang.Object
      org.apache.axis.components.net.SocketFactoryFactory

public class SocketFactoryFactory
extends java.lang.Object

Class SocketFactoryFactory

Version:
  %I%, %G%
Author:

Field Summary
`protected static org.apache.commons.logging.Log` | `log` Field log

Constructor Summary
`SocketFactoryFactory()`

Method Summary
`static SocketFactory` | `getFactory(java.lang.String protocol, java.util.Hashtable attributes)` Returns a copy of the environment's default socket factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  Field log

Constructor Detail

### SocketFactoryFactory

    public SocketFactoryFactory()

Method Detail

### getFactory

    public static SocketFactory getFactory(java.lang.String protocol,
                                           java.util.Hashtable attributes)

  Returns a copy of the environment's default socket factory.

  Parameters:
    `protocol` - Today this only supports "http" & "https".
    `attributes` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.